<template>
    <div class="row">
        <div class="col-4" v-for="p in projectsStore.projects">
            <ProjectCard :project="p" @update="updateProject" />
            <RouterLink :to="'/projects/' + p.projectId">Details</RouterLink>
        </div>
    </div>
</template>

<script setup>
import ProjectCard from "@/components/project/ProjectCard.vue";
import {ref} from "vue";
import {useProjectStore} from "@/store/ProjectStore";

const projectsStore = useProjectStore()

function updateProject(projectId, name) {
    console.log("Project update", projectId, name)
    const projectIndex = projectsStore.projects.findIndex(project => project.projectId === projectId)
    projectsStore.projects[projectIndex].name = name.toUpperCase()
}

setTimeout(function () {
    projectsStore.projects[0].name = "Projektmanagement"
    projectsStore.projects[0].image = 'https://images.pexels.com/photos/19143646/pexels-photo-19143646/free-photo-of-meer-strand-sand-kuste.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=1'
    projectsStore.projects[0].price = 9999.99
}, 5000)
</script>